org.apache.cassandra.auth

## Class Resources

- java.lang.Object
- - org.apache.cassandra.auth.Resources

    public final class Resources
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `KEYSPACES` Deprecated.
`static java.lang.String` `ROOT` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`Resources()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static java.util.List<? extends IResource>` `chain(IResource resource)` Construct a chain of resource parents starting with the resource and ending with the root.
`static IResource` `fromName(java.lang.String name)` Creates an IResource instance from its external name.
`static java.lang.String` `toString(java.util.List<java.lang.Object> resource)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROOT

    @Deprecated
    public static final java.lang.String ROOT

Deprecated.

See Also:
  Constant Field Values

#### KEYSPACES

    @Deprecated
    public static final java.lang.String KEYSPACES

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### Resources

    public Resources()

### Method Detail

#### chain

    public static java.util.List<? extends IResource> chain(IResource resource)

Construct a chain of resource parents starting with the resource and ending with the root.

Parameters:
  `resource` - The staring point.
Returns:
  list of resource in the chain form start to the root.

#### fromName

    public static IResource fromName(java.lang.String name)

Creates an IResource instance from its external name. Resource implementation class is inferred by matching against the known IResource impls' root level resources.

Parameters:
  `name` -
Returns:
  an IResource instance created from the name

#### toString

    @Deprecated
    public static java.lang.String toString(java.util.List<java.lang.Object> resource)

Deprecated.